// back-to-top styles

.back-to-top {
    background: $lightgreen;
    border: 0;
    outline: 0;
    display: inline-flex;
    align-items: center;
    float:right;
    padding: 0;
    cursor: pointer;
    font-family: $primaryfont;
    z-index: 1;
    position: relative;
    
    &__text {
        color: $white;
        font-size: calc-em(14px);
        padding: 15px 20px;
        letter-spacing: 1px;
        transition: color 500ms ease;
    }

    .icon {
        color: $white;
        font-size: calc-em(22px);
        display: inline-block;
        border: 0;
        outline: 0;
        

        &:before {
            display: inline-block;
            padding: 0 5px;
            transition: padding 500ms ease;
        }
        
    }

    &:hover, &:focus {
        .back-to-top__text {
            color: $darkgreen;
        }
        .icon {
            &:before {
                padding: 0px 10px 0 0px;
            }
        }
    }
}